package com.fs.company.controller;

import com.fs.common.annotation.Log;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.AjaxResult;
import com.fs.common.core.domain.R;
import com.fs.common.core.page.TableDataInfo;
import com.fs.common.enums.BusinessType;
import com.fs.common.utils.poi.ExcelUtil;
import com.fs.common.utils.sign.Md5Utils;
import com.fs.company.domain.Company;
import com.fs.company.service.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 企业Controller
 *
 * @author fs
 * @date 2021-10-04
 */
@RestController
@RequestMapping("/company/index")
public class IndexController extends BaseController
{
    @Autowired
    private ICompanyService companyService;
//    @Autowired
//    private ICompanyPackageOrderService packageOrderService;
    @Autowired
    private ICompanyRechargeService rechargeService;
    @Autowired
    private ICompanyVoiceLogsService voiceLogsService;
    @Autowired
    private ICompanyVoiceApiService voiceApiService;
    @Autowired
    private ICompanyVoiceMobileService mobileService;
    /**
     * 查询企业列表
     */
    @GetMapping("/getCount")
    public R getCount()
    {
//        Integer companyCount=companyService.selectCompanyCount();
//        BigDecimal rechargeMoney=rechargeService.selectCompanyRechargeMoney();
//        BigDecimal packageOrderMoney=packageOrderService.selectCompanyPackageOrderMoney();
//        Integer voiceLogsCount=voiceLogsService.selectCompanyVoiceLogsCount();
//        Integer voiceApiCount=voiceApiService.selectCompanyVoiceApiCount();
//        Integer mobileCount=mobileService.selectCompanyVoiceMobileCount();
//        Map<String,Object> map=new HashMap<>();
//        map.put("companyCount",companyCount);
//        map.put("rechargeMoney",rechargeMoney);
//        map.put("packageOrderMoney",packageOrderMoney);
//        map.put("voiceLogsCount",voiceLogsCount);
//        map.put("voiceApiCount",voiceApiCount);
//        map.put("mobileCount",mobileCount);

//        return R.ok().put("data",map);
        return R.ok();
    }
}
