package com.fs;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.scheduling.annotation.EnableAsync;

/**
 * 启动程序
 */
@EnableCaching
@EnableAsync
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
public class FSApiApplication
{
    public static void main(String[] args)
    {
        // System.setProperty("spring.devtools.restart.enabled", "false");
        SpringApplication.run(FSApiApplication.class, args);
        System.out.println("API端启动成功 \n" );
    }
}
