package com.fs.common.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

@Data
public class BaseQueryParam extends BaseEntity implements Serializable {
    @ApiModelProperty(value = "页码,默认为1")
    private Integer pageNum =1;
    @ApiModelProperty(value = "页码,默认为1")
    private Integer page =1;
    @ApiModelProperty(value = "页大小,默认为10")
    private Integer pageSize = 10;
    @ApiModelProperty(value = "限制数量")
    private Integer limit;
    @ApiModelProperty(value = "搜索字符串")
    private String keyword;

}
