package com.fs.common.param;

import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class SmsSendStoreOrderParam {

    @NotNull(message = "订单ID不能为空")
    private Long  orderId;
    @NotNull(message = "模板CODE不能为空")
    private String tempCode;
    private Long  companyId;
    private Long  companyUserId;
    private Integer smsType;//短信类型 1 CRM客户端信
    @NotNull(message = "手机号不能为空")
    private String mobile;
    @NotNull(message = "短信内容不能为空")
    private String content;

    private String cardUrl; //名片链接
}
