package com.fs.company.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.ser.Serializers;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 通话记录对象 company_voice_logs
 *
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyVoiceLogsParam extends BaseEntity
{

    /** 公司名 */
    private Long companyId;

    private Long customerId;

    private String userNickName;

    private Long deptId;

    /** 主叫 */
    private String callerPhone;

    /** 被叫 */
    private String calleePhone;

    private Integer status;

    private Integer times;

    private Integer source;


    private String[] createTimeList;

    private String createTimeRange;

    private String[] startTimeList;

    private String dateRange;

}
