package com.fs.company.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 充值对象 company_recharge
 * 
 * @author fs
 * @date 2021-10-04
 */
@Data
public class CompanyDeductVO implements Serializable {

    /**
     * ID
     */
    private Long deductId;

    /**
     * 企业ID
     */
    private Long companyId;

    /**
     * 金额
     */
    private BigDecimal money;


    private String deductNo;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date auditTime;

    private Integer isAudit;

    private String remark;

    private String companyName;

    private String createUserNickName;

    private String auditUserNickName;

}


