package com.fs.crm.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerVisitListParam extends BaseQueryParam implements Serializable
{


    private String companyUserNickName;

    private String customerCode;

    private String customerName;

    private String customerId;

    private String mobile;

    private Long visitType;

    private Long companyId;

    private String customerUserStatus;


    private Long deptId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String createTimeRange;
    private String[] customerCreateTime;
    private String receiveTimeRange;
    private String[] receiveTimeList;


}
