package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerContactsListQueryVO implements Serializable
{


    private Long contactsId;

    /** 客户ID */
    @Excel(name = "客户ID")
    private Long customerId;

    /** 联系人名称 */
    @Excel(name = "联系人名称")
    private String name;

    /** 手机 */
    @Excel(name = "手机")
    private String mobile;

    /** 电子邮箱 */
    @Excel(name = "电子邮箱")
    private String email;

    /** 部门 */
    @Excel(name = "部门")
    private String weixin;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** $column.columnComment */
    @Excel(name = "是否删除")
    private Long companyId;


}
