package com.fs.doc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class DocListQueryVO implements Serializable
{

    /** ID */
    private Long docId;

    /** 会员ID */
    private Long userId;

    /** 姓名 */
    private String userName;

    /** 描述 */
    private String descs;

    /** 身份证号 */
    private String idCard;

    /** 身份证正面 */
    private String idCardFront;

    /** 身份证反面 */
    private String idCardBack;

    /** 性别 */
    private Integer sex;

    /** 出生年月 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    /** 头像 */
    private String headImg;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String remark;

    private String tags;

}
