package com.fs.doc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class DocRecordListQueryVO implements Serializable
{

    /** ID */
    private Long recordId;

    /** 档案ID */
    private Long docId;

    private Long userId;

    /** 记录类型 */
    private Integer recordType;

    /** 标题 */
    private String title;

    /** 内容 */
    private String content;

    /** JSON数据 */
    private String jsonInfo;

    private String images;

    /** 公司ID */
    private Long companyId;

    /** 员工ID */
    private Long companyUserId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String userName;

    private String idCard;

    private String sex;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date birthday;

    List<DocRecordReplyListQueryVO> replys;



}
