package com.fs.oms.domain;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class OmsPurchaseProduct {
    /** 供应商编码 */
    private String supplierCode;

    /** 供应商名称 */
    private String supplierName;

    /** 商品编码 */
    private String spuCode;

    /** 商品名称 */
    private String spuName;

    /** Sku编码*/
    private String skuCode;

    /** Sku名称 */
    private String skuName;

    /** 供应商商品编码 */
    private String supplierSpucode;

    /** 含税采购价 */
    private BigDecimal taxunitPrice;

    /** 税率 */
    private BigDecimal taxRate;
}
