package com.fs.oms.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class OmsProductAttrValueVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private Long productId;

    private String sku;

    private BigDecimal price;

    /** 图片 */
    private String image;

    /** 商品条码 */
    private String barCode;

    /** 原价 */
    private BigDecimal otPrice;
}
