package com.fs.oms.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class OmsProductListVO implements Serializable {

    /** 商品id */
    private Long productId;

    /** 商品图片 */
    private String image;

    /** 轮播图 */
    private String sliderImage;

    /** 商品名称 */
    private String productName;

    /** 商品简介 */
    private String productInfo;


    /** 产品条码（一维码） */
    private String barCode;

    /** 分类id */
    private Long cateId;

    /** 商品价格 */
    private BigDecimal price;


    /** 市场价 */
    private BigDecimal otPrice;


    /** 单位名 */
    private String unitName;

    /** 排序 */
    private Long sort;

    /** 状态（0：未上架，1：上架） */
    private Integer isAudit;

    private Integer productType;

    private String cateName;

}
