package com.fs.oms.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class OmsPurchaseProductVO implements Serializable {
    /** 供应商编码 */
    private String supplierCode;

    /**商品图片 */
    private String image;

    /** 供应商名称 */
    private String supplierName;

    /** 商品编码 */
    private String spuCode;

    /** 商品名称 */
    private String spuName;

    /** Sku编码*/
    private String skuCode;

    /** Sku名称 */
    private String skuName;

    /** 供应商商品编码 */
    private String supplierSpucode;

    /** 供应商SKU编码 */
    private String supplierSkucode;

    /** 含税采购价 */
    private BigDecimal taxunitPrice;

    /** 税率 */
    private BigDecimal taxRate;

    /** 申请数量*/
    private Long planNum;

    /**已下采购*/
    private Long alreadyNum;


}
