package com.fs.oms.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class OmsSupplierListVO implements Serializable {

    private Long id;

    /** 供应商编码 */
    private String code;

    /** 供应商名称 */
    private String name;

    /** 供应商分类 */
    private String type;

    /** 供应商等级 */
    private String level;

    /** 送货周期 */
    private Long cycleDay;

    /** 默认开票 0无 1电子发票 2增值税普通发票 3增值税专用发票 */
    private Long invoiceType;

    /** 溢装比例 */
    private BigDecimal overfillRate;

    /** 默认税率 */
    private BigDecimal taxRate;

    /** 默认结算方式 */
    private String paymentType;

    /** 公司全称 */
    private String fullName;

    /** 助记码 */
    private String mnemonic;

    /** 合作日期 */
    private String cooperationTime;

    /** 联系人 */
    private String contactName;

    /** 联系人电话 */
    private String contractTel;

    /** 联系人手机 */
    private String contactPhone;

    private String cityIds;

    /** 联系人详细地址 */
    private String address;

    /** 账户名称 */
    private String bankName;

    /** 开户银行 */
    private String bankDeposit;

    /** 银行账户 */
    private String bankAccount;

    /** 状态 */
    private Long status;

    /** 备注 */
    private String remark;
}
