package com.fs.oms.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class OmsWarehouseVO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long warehouseId;

    /** 仓库名 */
    @Excel(name = "仓库名")
    private String warehouseName;

    /** 仓库编码 */
    @Excel(name = "仓库编码")
    private String warehouseCode;

    /** 类型  1渠道仓 2实体仓 */
    @Excel(name = "类型  1渠道仓 2实体仓")
    private Integer warehouseType;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkUsername;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String linkPhone;

    /** 所属省市区 */
    @Excel(name = "所属省市区")
    private String cityIds;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 状态  0禁用  1启用 */
    @Excel(name = "状态  0禁用  1启用")
    private Integer status;

    /** 创建人ID */
    @Excel(name = "创建人ID")
    private Long createUserId;

    /** 创建人ID */
    @Excel(name = "创建人")
    private String createUserName;

    private double rate;

}
