package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * 企微违禁消息对象 qw_forbidden_massage
 *
 * @author fs
 * @date 2023-11-22
 */
@Data
public class QwForbiddenMessageList implements Serializable
{
    private Long id;
    private Long userId;
    private String companyName;
    private String companyUserName;
    private String account;
    private Long messageId;
    private String forbiddenMessage;
    private String conversationId;
    private String content;
    private Long sendTime;
    //违禁词
    private String word;

    private String avatar;
    //@Excel(name = "企微UserId")
    private Long qwUserId;

    //@Excel(name = "企微昵称")
    private String nickName;

    //@Excel(name = "企微组织名称")
    private String corpName;

}
