package com.fs.qw.domain;

import com.fs.qw.vo.QwRoomMember;
import lombok.Data;

import java.util.List;

@Data
public class QwRoom {
    private Long id;
    private Long roomId; // 群ID
    private Long ownerId; // 群主ID
    private Long createTime; // 创建时间，秒级时间戳
    private Integer roomType; // 群类型：1外部群；0内部群
    private String roomName; // 群名称
    private String notice; // 群公告
    private String adminList; // 群管理员用户ID列表
    private String memberList; // 群成员列表
}
