package com.fs.qw.event;

import com.fs.qw.mapper.QwRoomMapper;
import com.fs.qw.vo.QwRoomMember;
import lombok.Data;

import java.util.List;

@Data
public class EventRoomCreated {
    private Long roomId; // 群ID
    private Long ownerId; // 群主ID
    private Long createTime; // 创建时间，秒级时间戳
    private Integer roomType; // 群类型：1外部群；0内部群
    private String roomName; // 群名称
    private List<QwRoomMember> memberList; // 群成员列表
}
