package com.fs.qw.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class QwRoomListVO implements Serializable {
    private Long roomId; // 群ID
    private Long ownerId; // 群主ID
    private Long createTime; // 创建时间，秒级时间戳
    private Integer roomType; // 群类型：1外部群；0内部群
    private String roomName; // 群名称
    private String notice; // 群公告
    private List<Long> adminList; // 群管理员用户ID列表
    private List<QwRoomMember> memberList; // 群成员列表
}
