package com.fs.store.config;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class StoreConfig implements Serializable {

    private String hotSearch;//热门搜索
    private String certs;//资质证书
    private BigDecimal serviceFee;//服务费
    private Integer salesPriceRate;//成本售价比例
    private Integer payRate;//支付比例
    private Integer unPayTime;//未支付订单自动取消时间
    private Integer tuiMoneyRate;//公司佣金比例 支付金额-（订单金额*rate%）
    private Integer createMoneyRate;//公司制单金额最低比例
    private Integer storeAfterSalesDay;//已完成订单售后有效天数
    private String refundConsignee;
    private String videoUrl;
    private String refundPhoneNumber;
    private String refundAddress;

}
