package com.fs.store.constants;

public interface StoreConstants {

    /**
     * 订单自动取消时间（分钟）
     */
    long ORDER_OUTTIME_UNPAY = 30;
    /**
     * 订单自动收货时间（天）
     */
    long ORDER_OUTTIME_UNCONFIRM = 7;
    /**
     * redis订单未付款key
     */
    String REDIS_ORDER_OUTTIME_UNPAY = "order:unpay:";
    /**
     * redis订单收货key
     */
    String REDIS_ORDER_OUTTIME_UNCONFIRM = "order:unconfirm:";

    String WECHAT_PUSH_REMARK = "FS为您服务！";
    String DELIVERY = "delivery";
}
