package com.fs.store.dto;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StoreOrderExpressExportDTO {


    @Excel(name = "快递单号")
    private String deliveryId;

    @Excel(name = "快递名称")
    private String deliveryName;

    @Excel(name = "代收金额")
    private BigDecimal deliveryPayMoney;


    @Excel(name = "结算状态",dictType="store_delivery_pay_status")
    private String deliveryPayStatus;


    @Excel(name = "快递帐单日期")
    private String deliveryTime;

    @Excel(name = "快递结算日期")
    private String deliveryPayTime;
}
