package com.fs.store.dto;

import lombok.*;

import java.math.BigDecimal;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class StoreProductGroupDTO {

    private Long id;//属性ID
    private Integer count;//数量
    private String sku;
    private BigDecimal price;
    private String image;
    private String barCode;
    private Long productId;
    private String productName;
}
