package com.fs.store.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
@Getter
@Setter
public class FsStoreConfirmOrderParam {
    @NotBlank(message = "请提交购买的商品")
    @ApiModelProperty(value = "购物车ID 多个,分隔")
    private String cartIds;
    @NotBlank(message = "购买类型不能为空")
    @ApiModelProperty(value = "buy cart")
    private String type;
}
