package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsStoreOrderParam extends BaseEntity implements Serializable
{
    private String orderCode;

    private String nickname;

    private String phone;

    private String userPhone;

    private Integer status;

    private Long companyId;

    private String isHealth;

    private Integer notHealth;

    private Long companyUserId;

    private String createTimeRange;

    private String[] createTimeList;

    private String payTimeRange;

    private String[] payTimeList;

    private String deliverySendTimeRange;

    private String[] deliverySendTimeList;

    private String deliveryImportTimeRange;

    private String[] deliveryImportTimeList;

    private Integer orderType;


    private String companyUserNickName;

    private String deliveryId;

    private Integer deliveryStatus;

    private Integer deliveryPayStatus;

    private Long deptId;

    private Long userId;

    private Long customerId;

    private String realName;

    private Integer isPayRemain;

    private Integer payType;

    private String productName;

    private Integer isUpload;

    /** 开始时间 */
    @JsonIgnore
    private String beginTime;

    /** 结束时间 */
    @JsonIgnore
    private String endTime;

    private Long scheduleId;

    private String orderVisit;

}
