package com.fs.store.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class FsStoreOrderPayParam implements Serializable
{
    @ApiModelProperty(value = "orderId")
    @NotNull(message = "订单号不能为空")
    private Long orderId;

    @ApiModelProperty(value = "payType")
    @NotNull(message = "支付类型不能为空")
    private Integer payType;
}
