package com.fs.store.param;

import com.fs.common.param.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsStoreProductQueryParam extends BaseQueryParam implements Serializable
{
    @ApiModelProperty(value = "分类ID")
    Long cateId;
    @ApiModelProperty(value = "商品名")
    String productName;
    @ApiModelProperty(value = "默认")
    private String defaultOrder;
    @ApiModelProperty(value = "是否新品")
    private String newOrder;
    @ApiModelProperty(value = "价格排序")
    private String priceOrder;
    @ApiModelProperty(value = "销量排序")
    private String salesOrder;
    @ApiModelProperty(value = "1 只显示商城展示的商品 0展示所有")
    private Integer isDisplay=1;

}
