package com.fs.store.param;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FsUseDoExtractParam implements Serializable
{

    private Long userId;

    @NotNull(message = "提现金额不能为空")
    private BigDecimal extractPrice;

    @NotNull(message = "收款人不能为空")
    private String realName;
    @NotNull(message = "开户行不能为空")
    private String bankAddress;
    @NotNull(message = "收款人银行帐户不能为空")
    private String bankCode;

}
