package com.fs.store.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class LoginWxParam implements Serializable {
    @NotBlank(message = "code参数缺失")
    @ApiModelProperty(value = "公众号code")
    private String code;
    private Long tuiUserId;
}
