package com.fs.store.strategy;

import java.math.BigDecimal;

/**
 * 运费计算的策略接口
 */
public interface FeeCalculationStrategy {
    BigDecimal calculate(ShippingOrder order, Region region);
    String getStrategyName();
}
