package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class FsArticleListQueryVO implements Serializable
{

    /** ID */
    private Integer articleId;

    /** 分类ID */
    private Long cateId;

    /** 标题 */
    private String title;

    /** 封面图片 */
    private String imageUrl;


    /** 浏览数 */
    private Long views;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date publishTime;

    List<FsArticleViewListQueryVO> viewsList;

}
