package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsFamousPrescribeExecelVO implements Serializable {

    private static final long serialVersionUID = 1L;
    /** id */
    private Long id;

    /** 经典名方名称 */
    @Excel(name = "经典名方名称")
    private String prescribeName;

    @Excel(name = "功效概述")
    private String actionTitle;

    /** 图片URL */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 方剂类型 */
    @Excel(name = "方剂类型",dictType="sys_famous_prescribe_type")
    private Integer prescribeType;

    /** 主治疾病 */
    @Excel(name = "主治疾病")
    private String indication;

    /** 归属书籍（库） */
    @Excel(name = "归属书籍")
    private String belongBook;

    /** 基础信息 */
    @Excel(name = "基本信息")
    private String descs;

    /** 主治功效 */
    @Excel(name = "药物作用")
    private String action;

    /** 用法用量 */
    @Excel(name = "用药方法")
    private String usageMethod;

    /** 注意事项 */
    @Excel(name = "注意事项")
    private String msg;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    @Excel(name = "拼音")
    private String pinyin;
}
