package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
 public class FsStoreCartQueryVO implements Serializable
{

    /** 购物车表ID */
    private Long id;

    @Excel(name = "商品分类ID")
    private Long cateId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Long productAttrValueId;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private Integer cartNum;

    String productImage;

    String productName;

    String productAttrImage;

    String productAttrName;


    BigDecimal price;

    private Integer stock;

    private Integer integral;

    private BigDecimal cost;

    private Long tempId;

    private BigDecimal weight;

    private BigDecimal volume;

    private Integer productType;

    private String barCode;

    private String groupBarCode;

    private BigDecimal brokerage;

    private BigDecimal brokerageTwo;

    private BigDecimal brokerageThree;

    /**
     * 仓库id
     */
    private Long warehouseId;
    /**
     * 仓库代码
     */
    private String warehouseCode;

}
