package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class FsStoreOrderItemVO  implements Serializable
{

    private Long itemId;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderCode;

    /** 购物车id 减数量用 */
    @Excel(name = "购物车id 减数量用")
    private Long cartId;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Long productAttrValueId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private String jsonInfo;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Long num;

    /** 是否能售后0不能1能 */
    @Excel(name = "是否能售后0不能1能")
    private Integer isAfterSales;

    @Excel(name = "是否为处方")
    private Integer isPrescribe;

}
