package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FsStorePayRemainOrderExportVO extends FsStoreOrderExportVO implements Serializable {
    @Excel(name = "付尾款订单状态", dictType = "store_order_is_pay_remain")
    private Integer isPayRemain;

    @Excel(name = "尾款实付金额",cellType= Excel.ColumnType.NUMERIC)
    private BigDecimal lastPayMoney;
}
