package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FsStoreProductAttrValueQueryVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private Long productId;

    private String sku;

    private Integer stock;

    private Integer sales;

    private BigDecimal price;

    /** 图片 */
    private String image;


    private BigDecimal agentPrice;

    /** 商品条码 */
    private String barCode;

    /** 原价 */
    private BigDecimal otPrice;

    private String productName;


    private BigDecimal brokerage;

    private BigDecimal brokerageTwo;


}
