package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsUserPromoterApplyVO implements Serializable
{

    @Excel(name = "会员昵称")
    private String nickname;
    @Excel(name = "手机号")
    private String phone;

    /** ID */
    private Long applyId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 提交内容 */
    @Excel(name = "提交内容")
    private String contentJson;


    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
