package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserShareVO implements Serializable
{

    /** ID */
    private Long userId;
//    @Excel(name = "手机号")
//    /** 手机号 */
   private String phone;

    /** 头像 */
    private String avatar;
    @Excel(name = "昵称")
    /** 昵称 */
    private String nickname;
    @Excel(name = "金额")
    private BigDecimal tuiMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
