package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserTuiVO implements Serializable
{

    /** ID */
    private Long userId;

    /** 手机号 */
    private String phone;

    /** 头像 */
    private String avatar;

    /** 昵称 */
    private String nickname;

    private BigDecimal tuiMoney;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
