package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.store.domain.FsUser;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class FsUserVO extends FsUser implements Serializable
{
    /** 消费总金额 */
    private BigDecimal totalAmount;

    /** 最后一次消费时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date lastBuyTime;

    /** 最后一次消费金额 */
    private Double number;

    /** 关联id */
    private String businessId;

    private String spreadPhone;
}
