package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class PrescribeDataV2VO implements Serializable {
    String onlyId;//处⽅单ID（唯⼀ID）
    String departName;//科室名称
    String doctorName;//医生名字
    String pharmacistName;//对应药师的名称
    String prescriptionUrl;//处方图片地址
    Date createDate;//处方开具时间
    String diagnose;//诊断
    String status;//处方状态：已开方、待开方、开方中、已拒绝、已驳回
    String auditReason;//医生拒方原因
    String pharmacyCode;//药店code
    String pharmacyName;//药店名称
    String hospitalName;//医院名称
    List<DrugDataV2VO> drugInfo;
}
