package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class PrescribeDataVO implements Serializable {
    String rp_id;//处⽅单ID（唯⼀ID）
    String depart_name;//科室名称
    String doctor_name;//医生名字
    String rp_url;//处方图片地址
    String diagnose;//诊断
    String rp_msg;//既往史
    String audit_reason;//医生拒方原因
    String create_date;//患者姓名
    Integer pharmacy_code;//药店ID
    String pharmacy_name;//药店名称
    String doctor_id;//医生ID
    List<DrugDataVO> drugInfo;
}
