package com.fs.wx.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderKey {

    @JsonProperty("order_number_type")
    private Integer orderNumberType;

    @JsonProperty("transaction_id")
    private String transactionId;

    @JsonProperty("mchid")
    private String mchId;

    @JsonProperty("out_trade_no")
    private String outTradeNo;
}
