package com.fs.wx.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ShippingItem {

    @JsonProperty("tracking_no")
    private String trackingNo;

    @JsonProperty("express_company")
    private String expressCompany;

    @JsonProperty("item_desc")
    private String itemDesc;

    @JsonProperty("contact")
    private Contact contact;
}
