package com.fs.wx.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UploadShippingInfoRequest {

    @JsonProperty("order_key")
    private OrderKey orderKey;

    @JsonProperty("logistics_type")
    private Integer logisticsType;

    @JsonProperty("delivery_mode")
    private Integer deliveryMode;

    @JsonProperty("is_all_delivered")
    private Boolean isAllDelivered;

    @JsonProperty("shipping_list")
    private List<ShippingItem> shippingList;

    @JsonProperty("upload_time")
    private String uploadTime;

    @JsonProperty("payer")
    private Payer payer;

}
