package com.fs.wx.dto;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Configuration
@Getter
public class WeChatApiConfig {

    @Value("${wechat.api.base-url}")
    private String baseUrl;

    @Value("${wechat.api.upload-shipping-info}")
    private String uploadShippingInfoPath;


    public String getUploadShippingInfoUrl() {
        return baseUrl + uploadShippingInfoPath;
    }
}
