package com.fs;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.socket.config.annotation.EnableWebSocket;



/**
 * 启动程序
 */
@EnableWebSocket
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class })
@EnableTransactionManagement
public class FsSocketApplication {
    public static void main(String[] args) {
        SpringApplication.run(FsSocketApplication.class, args);
        System.out.println("websocket启动成功 \n" );
    }
}
