package com.fs.common.config;


import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *

 */
@Component
@Data
@ConfigurationProperties(prefix = "fs-config")
public class FSSysConfig
{
    //快递鸟
    String kdnId;
    String kdnKeyId;
    String kdnUrl;
    String kdnSubscribeUrl;
    String kdnAddressUrl;
    //腾讯云IM
    Long sdkAppId;
    String sdkAppKey;
    //处方接口
    String prescribeUrl;
    String actId;
    String appId;
    String manuId;
    String accessKeyID;
    String accessKeySecret;
    String callbackUrl;
    //erp接口
    Integer erpOpen;//是否开启ERP
    String erpAppKey;
    String erpSessionKey;
    String erpSecret;
    String erpUrl;
    String erpShopCode;//店铺CODE
    //支付接口
    Integer payOpen;//是否开启
    String payPartnerId;
    String payKey;
    String payGateWayUrl;
    String payNotifyUrl;
    String refundNotifyUrl;

}
