package com.fs.store.controller;

import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.R;
import com.fs.store.domain.FsStoreProductCategory;
import com.fs.store.service.IFsStoreProductCategoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * 商品分类Controller
 *
 * @author fs
 * @date 2022-03-16
 */
@RestController
@RequestMapping("/store/storeProductCategory")
public class FsStoreProductCategoryController extends BaseController
{
    @Autowired
    private IFsStoreProductCategoryService fsStoreProductCategoryService;

    @GetMapping("/getAllList")
    public R getAllList(FsStoreProductCategory fsStoreProductCategory)
    {
        fsStoreProductCategory.setIsShow(1);
        fsStoreProductCategory.setIsDel(0);
        List<FsStoreProductCategory> list = fsStoreProductCategoryService.selectFsStoreProductCategoryList(fsStoreProductCategory);
        return R.ok().put("data", list);
    }
}
