package com.fs.company.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CompanySmsLogsListQueryParam extends BaseQueryParam  implements Serializable
{
    private Long companyId;
    private Long customerId;
    private Long deptId;
    private Integer status;
    private String customerCode;
    private String customerName;
    private String companyUserNickName;
    private String phone;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;
    private Integer isReply;

}
