package com.fs.company.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.param.BaseQueryParam;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CompanyUserCardQueryParam extends BaseQueryParam implements Serializable {

    private Long companyId;

    private Long companyUserId;

    private String urlScheme;

    private Long type;

    /** 关联用户ID */
    private Long userId;

    private Integer isVisit;

}
