package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerLogsListQueryVO implements Serializable
{

    /** ID */
    private Long logsId;

    /** 客户ID */
    private Long customerId;

    /** 销售ID */
    private Long companyUserId;

    /** 标题 */
    private String title;

    /** 日志类型 */
    private Integer logsType;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;


}
