package com.fs.crm.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class CrmCustomerVisitListQueryVO implements Serializable
{


    /** 跟进ID */
    private Long visitId;
    private String companyName;
    private String customerName;
    private String customerCode;
    private String companyUserNickName;
    /** 客户ID */
    private Long customerId;

    /** 类型 1 电话 2 微信 */
    private Long visitType;

    /** 走访内容 */
    private String content;

    /** 走访照片 */
    private String photos;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 下次联系时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date nextTime;

    /** 经度 */
    private String lng;

    /** 纬度 */
    private String lat;

    /** 签到地址 */
    private String address;

    /** 销售ID */
    private Long companyUserId;

    /** 公司ID */
    private Long companyId;






}
