package com.fs.doc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class DocOrderListQueryVO implements Serializable
{
    /** ID */
    private Long orderId;

    /** 订单CODE */
    private String orderCode;

    /** 标题 */
    private String title;

    /** 组图 */
    private String images;

    /** 会员ID */
    private Long userId;

    /** 档案ID */
    private Long docId;

    /** 订单类型 */
    private Integer orderType;

    /** 状态 */
    private Integer status;

    private BigDecimal money;

    private BigDecimal payMoney;

    /** 完成时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date finishTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String userName;


}
