package com.fs.doc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class DocOrderReplyListQueryVO implements Serializable
{
    /** ID */
    private Long replyId;

    /** 记录ID */
    private Long recordId;

    /** 所属公司 */
    private Long companyId;

    /** 所属员工 */
    private Long companyUserId;

    /** 内容 */
    @NotNull(message = "回复内容不能为空")
    private String content;

    /** 图片 */
    private String images;

    /** 视频 */
    private String videos;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String companyUserNickName;



}
