package com.fs.doc.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.store.vo.FsStoreProductListQueryVO;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

@Data
public class DocRecordReplyListQueryVO implements Serializable
{

    /** ID */
    private Long replyId;

    /** 记录ID */
    private Long recordId;

    /** 所属公司 */
    private Long companyId;

    /** 所属员工 */
    private Long companyUserId;

    /** 内容 */
    private String content;

    /** 图片 */
    private String images;

    /** 视频 */
    private String videos;

    private String companyNickName;

    private String avatar;

    private String productIds;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    List<FsStoreProductListQueryVO> products;

}
