package com.fs.huifuPay.dto;

import lombok.Data;

import java.io.Serializable;

@Data
public class TzMiniProgramCodeReqDTO implements Serializable {
    /**
     * 平台商户客户号
     * <p>
     *  示例值："8197833247112040502"
     * </p>
     */
    private String platMerCstNo;

    /**
     * 业务客户号
     * <p>
     *     示例值："123456789"
     * </p>
     */
    private String businessCstNo;

    /**
     * 订单号
     * <p>
     *     示例值："1551965705501422168"
     * </p>
     */
    private String orderNo;
}
