package com.fs.oms.mapper;

import com.fs.oms.domain.OmsSupplierGoods;
import com.fs.oms.vo.OmsPurchaseProductVO;
import com.fs.oms.vo.OmsSupplierProductVO;
import org.apache.ibatis.annotations.Select;

import java.util.List;

public interface OmsSupplierProductMapper {
    /**
     * 添加商品列表
     * @param
     * @return
     */
    List<OmsSupplierProductVO> selectOmsSupplierProduct(OmsSupplierProductVO omsSupplierProductVO);

    /**
     * 采购申请单添加商品列表
     * @param
     * @return
     */
    List<OmsPurchaseProductVO> selectPurchaseProduct(OmsPurchaseProductVO omsPurchaseProductVO);

    @Select({"<script> " +
            "SELECT products from oms_purchase_apply where id = #{id} " +
            "</script>"})
    String selectOmsPurchaseProductById(Long id);
}
