package com.fs.oms.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class OmsSupplierGoodsListVO implements Serializable {
    /** id */
    private Long id;

    /** 供应商id */
    private Long supplierId;

    /** 供应商编码 */
    private String supplierCode;

    /** 供应商SKU编码 */
    private String supplierSkucode;

    /** 供应商商品编码 */
    private String supplierSpucode;

    /** 含税采购价 */
    private BigDecimal taxunitPrice;

    /** 不含税采购价 */
    private BigDecimal unitPrice;

    /** 税率 */
    private BigDecimal taxRate;

    /** 是否含包装 0否  1是 */
    private Long packagingFlag;

    /** 是否包邮 0否  1是 */
    private Long shippingFlag;

    /** 商品图片 */
    private String image;

    /** 商品名称 */
    private String spuName;

    /** 商品编码 */
    private String spuCode;

//    /** oms商品skuid */
//    private Long skuId;


    private String skuCode;

    /** oms商品sku编码 */
    private String skuName;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String name;

}
