package com.fs.pay.pay.domain;

import lombok.Data;

@Data
public class QueryRefundResult {
    private String refundNo;      // 系统退款订单号
    private String orderId;       // 交易订单号
    private String lowRefundNo;   // 商户退款订单号
    private String refundState;   // 退款状态，"0":成功 "1":失败 "2":退款中
    private String refundTime;    // 退款时间
    private String refundMoney;   // 退款金额
    private String remark;        // 备注
    private String channelId;     // 通道ID
    private String status;        // 结果，100:成功，101：失败
    private String message;       // 结果描述，错误信息描述
    private String state;         // 订单实际状态，0：成功，1：失败，2：已撤销，5：已退款申请成功，6：已转入部分退款申请成功
}
