package com.fs.qw.domain;

import lombok.Data;

import java.io.Serializable;

@Data
public class QwMaterial implements Serializable {
    private Long id;//id
    private Integer fileType;//文件类型：2图片；4视频；5文件
    private String fileName;//文件名
    private Long groupId; // 分组id
    private String url;//地址
    private String fileId;  // CDN文件ID
    private String aesKey;  // CDN文件的AES密钥
    private String md5;  // CDN文件的MD5摘要
    private Long fileSize;  // 文件大小，单位：字节
    private Integer duration;  // 视频时长，单位：秒
    private Long thumbnailFileSize;  // 视频缩略图文件大小，单位：字节
    private Long companyUserId; //归属员工id；
}
