package com.fs.qw.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class QwUser implements Serializable {
    private Long id;//id
    private Long userId; //用户id
    private String avatar; //头像
    private Long corpId; //企业id
    private String corpName; //企业名称
    private String nickName;//昵称
    private String deviceId; //关联设备id
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private Long seq;
    private Long roomSeq;
    private String innerSeq;
}
