package com.fs.qw.dto;

import lombok.Data;

@Data
public class QwRoomMemberDTO {
    private Long id;
    private Long roomId; //群id
    private Long userId; // 用户ID
    private Boolean admin; // 是否是管理员
    private Long joinTime; // 加入时间，秒级时间戳
    private String nickName; // 昵称
    private String userName; // 用户名
    private Long corpId; // 公司ID
    private String avatar;//头像
    private Integer sex;//性别
    private String mobile; //手机号


    public QwRoomMemberDTO(Long id, Long roomId, Long userId, Boolean admin, Long joinTime, String nickName, String userName, Long corpId, String avatar, Integer sex, String mobile) {
        this.id = id;
        this.roomId = roomId;
        this.userId = userId;
        this.admin = admin;
        this.joinTime = joinTime;
        this.nickName = nickName;
        this.userName = userName;
        this.corpId = corpId;
        this.avatar = avatar;
        this.sex = sex;
        this.mobile = mobile;
    }
}
