package com.fs.qw.event;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

@Data
public class EventQwMessage implements Serializable {
    private Integer messageType; // 消息类型：1文本；2图片；3视频；4文件；5语音；6小程序；7表情；8链接；9名片；10位置；11红包；12音视频通话；0其他
    private Long senderId; // 发送人用户id
    private Long receiverId; // 接收人用户id
    private Long roomId; // 群组id，非群消息roomId=null
    private Long localId; // 本地消息id
    private Long serverId; // 服务端消息id
    private Long sendTime; // 发送时间，秒级时间戳



}
