package com.fs.qw.service.impl;

import com.fs.common.utils.StringUtils;
import com.fs.qw.domain.*;
import com.fs.qw.dto.AddContactDTO;
import com.fs.qw.dto.ModifyDTO;
import com.fs.qw.mapper.*;
import com.fs.qw.service.IQwContactService;
import com.fs.qw.service.IQwInnerContactService;
import com.fs.qw.utils.QwAllUtil;
import com.fs.qw.vo.QwContactListVO;
import com.fs.qw.vo.QwContactVO;
import net.sourceforge.pinyin4j.PinyinHelper;
import org.apache.commons.codec.digest.DigestUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.*;

import static com.fs.qw.utils.QwAllUtil.*;

@Service
public class QwInnerContactServiceImpl implements IQwInnerContactService {
    @Autowired
    private QwInnerContactMapper innerContactMapper;
    @Override
    public QwInnerContact selectInnerContactByUserId(Long userId) {
        return innerContactMapper.selectInnerContactById(userId);
    }
}
