package com.fs.qw.vo;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class QwMessageListExportVO {
    @Excel(name = "消息类型",dictType = "qw_message_type")
    private Integer messageType; // 消息类型：1文本；2图片；3视频；4文件；5语音；6小程序；7表情；8链接；9名片；10位置；11红包；12音视频通话；0其他
    @Excel(name = "发送人")
    private String senderName; // 发送人用户id
    @Excel(name = "消息内容")
    private String content;
    @Excel(name = "发送时间")
    private String sendTime;
}






