package com.fs.store.bean;

import lombok.Data;

import java.io.Serializable;

@Data
public class DrugV2 implements Serializable {
    Long drugCode;//药品名称
    String drugCommonName;//药品名称
    String drugSpecification;//药品规格
    String usageMethod;//使⽤⽅法
    String frequencyUnit;//药品频次
    String frequencyNum;//频次数量，例：1 等
    String dosaNum;//每次⽤药数量
    String dosaUnit;//每次⽤药单位
    String usageDays;//天数
    String saleAmount;//药品数量
    String saleUnit;//药品数量单位
    String instructions;//药品说明书
    String approvalNumber;//药品产品批准⽂号⽤药单位

}
