package com.fs.store.cache;

import com.fs.store.domain.FsStoreProduct;

public interface IFsStoreProductCacheService {
    /**
     * 查询商品
     *
     * @param productId 商品ID
     * @return 商品
     */
    public FsStoreProduct selectFsStoreProductById(Long productId);

    /**
     * 获取仓库编码
     *
     * @param productId 商品ID
     * @return 仓库编码
     */
    String getWarehouseCodeByProductId(Long productId);
}
