package com.fs.store.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 问答专区对象 fs_questions
 *
 * @author fs
 * @date 2023-10-23
 */
@Data
public class FsQuestions extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 题目ID */
    private Long id;

    /** 题目 */
    @Excel(name = "题目")
    private String title;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 答案 */
    @Excel(name = "答案")
    private String answers;

    /** 词条 */
    @Excel(name = "词条")
    private String tags;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;
    @Excel(name = "浏览量")
    private Integer views;
    @Excel(name = "类别")
    private Integer questionsType;
    @Excel(name = "科室id")
    private Integer deptId;

}
