package com.fs.store.param;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class FsStoreAfterSalesDeliveryParam implements Serializable
{
    private Long userId;
    private Long salesId;
    @NotBlank(message = "物流单号不能为空")
    private String deliverySn;
    @NotBlank(message = "物流公司不能为空")
    private String deliveryName;
}
