package com.fs.store.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

@Data
public class FsStorePackageOrderCreateParam implements Serializable
{
    @ApiModelProperty(value = "orderKey")
    @NotNull(message = "orderKey不能为空")
    private String orderKey;
    @ApiModelProperty(value = "地址ID")
    @NotNull(message = "地址不能为空")
    private Long addressId;
    @Size(max = 200,message = "长度超过了限制")
    @ApiModelProperty(value = "备注")
    private String mark;
    private Long packageId;
    private Long companyUserId;
    private Long couponUserId;

}
