package com.fs.store.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsTestReportParam {

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;


    /** 模板ID */
    @Excel(name = "模板名称")
    private String name;


    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
}
