package com.fs.store.service;

import com.fs.store.dto.ClientCredGrantReqDTO;
import com.fs.store.dto.MiniGramSubsMsgResultDTO;
import com.fs.store.dto.TemplateMessageSendRequestDTO;
import com.fs.store.dto.WeXinAccessTokenDTO;

/**
 * 小程序调用相关
 */
public interface IWechatMiniProgrService {

    /**
     * 获取稳定的token
     *
     * @param param 请求参数
     * @return {@link WeXinAccessTokenDTO}
     */
    WeXinAccessTokenDTO getStableToken(ClientCredGrantReqDTO param);

    /**
     * 微信小程序发送订阅消息
     *
     * @param param 请求参数
     * @return {@link MiniGramSubsMsgResultDTO}
     */
    MiniGramSubsMsgResultDTO sendSubscribeMsg(String accessToken,TemplateMessageSendRequestDTO param);
}
