package com.fs.store.strategy;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 包邮规则类
 */
@Data
public class FreeShippingRule {
    /**
     * 区域
     */
    private Long region;
    /**
     * 包邮重量
     */
    private BigDecimal minWeight;
    /**
     * 包邮件数
     */
    private BigDecimal minCount;
    /**
     * 包邮体积
     */
    private BigDecimal minVolume;
    /**
     * 包邮金额
     */
    private BigDecimal minAmount;
}
