package com.fs.store.strategy;

import java.math.BigDecimal;

/**
 * 装饰器模式 - 基础装饰器接口
 */
public interface ShippingFeeDecorator {
    BigDecimal calculateFee(BigDecimal baseFee, ShippingOrder order, Region region);
}
