package com.fs.store.strategy;

import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 订单类
 */
@Data
@Builder
public class ShippingOrder {
    /**
     * 商品数量
     */
    private Integer itemCount;
    /**
     * 商品重量
     */
    private BigDecimal weight;
    /**
     * 商品体积
     */
    private BigDecimal volume;
    /**
     * 区域名称
     */
    private Long cityId;

}
