package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsDoctorArticleVO implements Serializable {

    /** ID */
    private Long articleId;

    private Long doctorId;

    private String doctorName;
    /** 封面图 */
    @Excel(name = "封面图")
    private String imageUrl;

    /** $column.columnComment */
    @Excel(name = "分类")
    private Integer cateId;

    /** 标题 */
    @Excel(name = "标题")
    private String title;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 浏览量 */
    @Excel(name = "浏览量")
    private Long views;

    /** 状态 0草稿 1发布 */
    @Excel(name = "状态 0草稿 1发布")
    private Integer status;

    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    private String videoUrl;

}
