package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class FsQuestionsListUVO implements Serializable {

    /** 题目ID */
    private Long id;

    /** 题目 */
    private String title;


    /** 词条 */
    private String tags;

    private Integer views;
    private Integer questionsType;
    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

}
