package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
 public class FsStoreCartVO implements Serializable
{

    /** 购物车表ID */
    private Long id;

    /** 商品ID */
    @Excel(name = "商品ID")
    private Long productId;

    /** $column.columnComment */
    @Excel(name = "商品ID")
    private Long productAttrValueId;

    /** 商品数量 */
    @Excel(name = "商品数量")
    private Integer cartNum;

    String productImage;

    String productName;

    String productAttrName;

    String productAttrImage;

    BigDecimal price;

    private Integer stock;

    private Integer productType;
}
