package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 订单对象 fs_store_order
 *
 * @author fs
 * @date 2022-03-15
 */
@Data
public class FsStoreOrderTuiVO implements Serializable
{
    private Long orderId;
    private String orderCode;
    private BigDecimal payPrice;
    private BigDecimal tuiPrice;
    private Integer billType;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;
    private String nickname;
    private String avatar;


}
