package com.fs.store.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class FsStoreProductListQueryVO implements Serializable
{


    /** 商品id */
    private Long productId;

    /** 商品图片 */
    private String image;

    /** 商品名称 */
    private String productName;

    private String productInfo;

    /** 分类id */
    private Long cateId;

    /** 商品价格 */
    private BigDecimal price;

    /** 市场价 */
    private BigDecimal otPrice;

    private Integer sales;

    private String unitName;


    /**
     * 仓库id
     */
    private Long warehouseId;
    /**
     * 仓库代码
     */
    private String warehouseCode;



}
