package com.fs.store.vo;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 商品对象 fs_store_product
 * 
 * @author fs
 * @date 2022-03-15
 */
@Data
public class FsStoreProductRelationVO implements Serializable
{

    private Long id;

    /** 用户ID */
    private Long userId;

    /** 商品ID */
    private Long productId;

    private String productName;

    private String image;

    private BigDecimal price;



}
