package com.fs.store.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

@Data
public class FsTestReportVO {
    /** ID */
    private Long reportId;

    /** 会员ID */
    @Excel(name = "会员ID")
    private Long userId;

    /** 患者ID */
    @Excel(name = "患者ID")
    private Long patientId;
    private String nickName;
    private String phone;
    /** 患者JSON */
    @Excel(name = "患者JSON")
    private String patientJson;

    /** 报告ID */
    @Excel(name = "报告ID")
    private String reportSn;

    /** 主诉 */
    @Excel(name = "主诉")
    private String patientDescs;

    /** 疾病历 */
    @Excel(name = "疾病历")
    private String illnessLogs;

    /** 用药史 */
    @Excel(name = "用药史")
    private String drugLogs;

    /** 诊断结果 */
    @Excel(name = "诊断结果")
    private String testResult;

    /** 表单JSON数据 */
    @Excel(name = "表单JSON数据")
    private String formJson;

    /** 调理方案 */
    @Excel(name = "调理方案")
    private String conditioningPlanJson;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long tempId;

    /** 分数 */
    @Excel(name = "分数")
    private Long score;


    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private String name;

    private String remark;

    private String imgUrl;
}
