package com.fs.wx.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Contact {
    // 根据实际需要添加更多联系人字段
    @JsonProperty("consignor_contact")
    private String consignorContact; // 发货人联系方式 (示例字段)

    // 可以添加收货人联系方式等
    // @JsonProperty("receiver_contact")
    // private String receiverContact;
}
