package com.fs.app.vo;

import com.fs.store.vo.FsAdvListQueryVO;
import com.fs.store.vo.FsArticleCateListQueryVO;
import com.fs.store.vo.FsStoreProductListQueryVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("首页数据")
public class IndexVO {
    @ApiModelProperty("首页BANNER")
    List<FsAdvListQueryVO> advList;
// @ApiModelProperty("推荐医生")
// List<FsDoctorListQueryVO> doctorList;
    @ApiModelProperty("健康分类")
    List<FsArticleCateListQueryVO> articleCateList;

    @ApiModelProperty("推荐产品")
    List<FsStoreProductListQueryVO> tuiProductList;
    @ApiModelProperty("最新产品")
    List<FsStoreProductListQueryVO> newProductList;
    @ApiModelProperty("热门产品")
    List<FsStoreProductListQueryVO> hotProductList;

}
